Subject: Re: bug#56630: (yasnippet) how to disable TAB <tab> C-i?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 23 Jul 2022 10:05:32 +0200

[email-masked] writes:

> I really like yasnippets, because it makes my workflow more
> productive, but I have not been able to disable the autocompletion
> with the TAB key:
>
> * What I have tried
> (use-package yasnippet :defer t :commands (yas-minor-mode)
>   :bind
>   (:map
>    yas-minor-mode-map
>    ("TAB" . nil)
>    ("<tab>" . nil)

I'm not familiar with use-package or the syntax it uses for keymaps, but
does

   (:map
    yas-minor-mode-map
    ("TAB" . nil)
    ([(tab)] . nil)

fix the issue?